### Name: udag2cpdag
### Title: Extend a pcAlgo-object containing a skeleton to a CPDAG
### Aliases: udag2cpdag
### Keywords: multivariate models graphs

### ** Examples

p <- 10 # number of random variables
n <- 10000 # number of samples
s <- 0.4 # sparsness of the graph

## generate random data
set.seed(42)
g <- randomDAG(p,s) # generate a random DAG
d <- rmvDAG(n,g) # generate random samples

gSkel <- 
  pcAlgo(d,alpha=0.05) # estimate of the skeleton
gCPDAG <- 
  udag2cpdag(gSkel) # transform skeleton to cpdag

plot(g)
plot(gSkel,zvalue.lwd=TRUE)
plot(gCPDAG,zvalue.lwd=TRUE)



